import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:ride/constant/colors.dart';

import '../../constant/box_name.dart';
import '../../main.dart';
import '../widgets/my_scafold.dart';

class NotificationPage extends StatelessWidget {
  const NotificationPage({super.key});

  @override
  Widget build(BuildContext context) {
    return MyScafolld(
      isleading: true,
      title: 'Notifications',
      action: IconButton(
        onPressed: () async {
          print(box.read(BoxName.tokenFCM).toString());
          // await CRUD().post(link: AppLink.addTokens, payload: {
          //   'token': box.read(BoxName.tokenFCM).toString(),
          //   'passengerID': box.read(BoxName.pasengerID).toString()
          // }).then((value) => print('cccc'));
        },
        icon: const Icon(
          Icons.add,
          color: AppColor.primaryColor,
        ),
      ),
      body: [
        Container(
          color: AppColor.accentColor.withOpacity(.7),
        ),
        Positioned(
          top: 100,
          bottom: 100,
          left: 50,
          right: 50,
          child: Container(
            height: Get.height * .6,
            color: AppColor.secondaryColor,
          ),
        )
      ],
    );
  }
}
